Zum Hauptinhalt springen
POST
/
marketing
/
v3
/
transactional
/
smtp-tokens
/
{tokenId}
/
password-reset
Reset the password of an existing token.
curl --request POST \
  --url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens/{tokenId}/password-reset \
  --header 'Authorization: Bearer <token>'
{
  "campaignName": "<string>",
  "createContact": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "emailCampaignId": "<string>",
  "id": "<string>",
  "password": "<string>"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

tokenId
string
erforderlich

Antwort

successful operation

A SMTP API token provides both an ID and password that can be used to send email through the HubSpot SMTP API.

campaignName
string
erforderlich

A name for the campaign tied to the token.

createContact
boolean
erforderlich

Indicates whether a contact should be created for email recipients.

createdAt
string<date-time>
erforderlich

Timestamp generated when a token is created.

createdBy
string
erforderlich

Email address of the user that sent the token creation request.

emailCampaignId
string
erforderlich

Identifier assigned to the campaign provided in the token creation request.

id
string
erforderlich

User name to log into the HubSpot SMTP server.

password
string

Password used to log into the HubSpot SMTP server.

Last modified on April 9, 2026